Loading...
Searching...
No Matches
BALL::SmartsParser::SPEdge Class Reference

Edge representation of the smarts parser graph. More...

`#include <BALL/STRUCTURE/smartsParser.h>`

## Public Member Functions

Constructors and destructors
| SPEdge ()
| Default constructor.
| SPEdge (const SPEdge &sp_edge)
| Copy constructor.
virtual | ~SPEdge ()
| Destructor.

## Acessors

bool | internal_
| internal flag
bool | is_not_
| negation flag
SPNode * | first_
| first SPNode
SPNode * | second_
| second SPNode
SPBond * | bond_
| associated bond
SPEdge * | first_edge_
| first SPEdge
SPEdge * | second_edge_
| second SPEdge
LogicalOperator | log_op_
| logical operator associated with the SPEdges
bool | isInternal () const
| returns true if this is a internal edge
void | setInternal (bool internal)
| set this edge to a internal edge
void | setSPBond (SPBond *sp_bond)
| sets the corresponding SPBond of this edge
SPBond * | getSPBond () const
| returns the corresponding SPBond of this edge
void | setFirstSPNode (SPNode *first)
| set the first SPNode of this edge
SPNode * | getFirstSPNode () const
| returns the first SPNode of this edge
void | setSecondSPNode (SPNode *second)
| sets the second SPNode of this edge
SPNode * | getSecondSPNode () const
| returns the second SPNode of this edge
SPNode * | getPartnerSPNode (SPNode *node)
| returns the partner; either the first or the second SPNode
bool | isNot () const
| returns true if negation is enabled
void | setNot (bool is_not)
| set the negation flag
void | setFirstSPEdge (SPEdge *first)
| set the first SPEdge (first tree child)
SPEdge * | getFirstSPEdge () const
| returns the first SPEdge (first tree child)
void | setSecondSPEdge (SPEdge *second)
| set the second SPEdge (second tree child)
SPEdge * | getSecondSPEdge () const
| returns the second SPEdge (second tree child)
void | setLogicalOperator (LogicalOperator log_op)
| sets the associated logical operator (for the child edges)
LogicalOperator | getLogicalOperator () const
| returns the asociated logical operator (for the child edges)

## Detailed Description

Edge representation of the smarts parser graph.

Definition at line 385 of file smartsParser.h.

## Constructor & Destructor Documentation

## SPEdge() [1/2]

BALL::SmartsParser::SPEdge::SPEdge | ( |  | ) |

Default constructor.

## SPEdge() [2/2]

BALL::SmartsParser::SPEdge::SPEdge | ( | const SPEdge & | sp_edge | ) |

Copy constructor.

## ~SPEdge()

virtual BALL::SmartsParser::SPEdge::~SPEdge | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getFirstSPEdge()

SPEdge * BALL::SmartsParser::SPEdge::getFirstSPEdge | ( |  | ) | const

inline

returns the first SPEdge (first tree child)

Definition at line 442 of file smartsParser.h.

## getFirstSPNode()

SPNode * BALL::SmartsParser::SPEdge::getFirstSPNode | ( |  | ) | const

inline

returns the first SPNode of this edge

Definition at line 421 of file smartsParser.h.

## getLogicalOperator()

LogicalOperator BALL::SmartsParser::SPEdge::getLogicalOperator | ( |  | ) | const

inline

returns the asociated logical operator (for the child edges)

Definition at line 454 of file smartsParser.h.

## getPartnerSPNode()

SPNode * BALL::SmartsParser::SPEdge::getPartnerSPNode | ( | SPNode * | node | ) |

inline

returns the partner; either the first or the second SPNode

Definition at line 430 of file smartsParser.h.

## getSecondSPEdge()

SPEdge * BALL::SmartsParser::SPEdge::getSecondSPEdge | ( |  | ) | const

inline

returns the second SPEdge (second tree child)

Definition at line 448 of file smartsParser.h.

## getSecondSPNode()

SPNode * BALL::SmartsParser::SPEdge::getSecondSPNode | ( |  | ) | const

inline

returns the second SPNode of this edge

Definition at line 427 of file smartsParser.h.

## getSPBond()

SPBond * BALL::SmartsParser::SPEdge::getSPBond | ( |  | ) | const

inline

returns the corresponding SPBond of this edge

Definition at line 415 of file smartsParser.h.

## isInternal()

bool BALL::SmartsParser::SPEdge::isInternal | ( |  | ) | const

inline

returns true if this is a internal edge

Definition at line 406 of file smartsParser.h.

## isNot()

bool BALL::SmartsParser::SPEdge::isNot | ( |  | ) | const

inline

returns true if negation is enabled

Definition at line 433 of file smartsParser.h.

## setFirstSPEdge()

void BALL::SmartsParser::SPEdge::setFirstSPEdge | ( | SPEdge * | first | ) |

inline

set the first SPEdge (first tree child)

Definition at line 439 of file smartsParser.h.

## setFirstSPNode()

void BALL::SmartsParser::SPEdge::setFirstSPNode | ( | SPNode * | first | ) |

inline

set the first SPNode of this edge

Definition at line 418 of file smartsParser.h.

## setInternal()

void BALL::SmartsParser::SPEdge::setInternal | ( | bool | internal | ) |

inline

set this edge to a internal edge

Definition at line 409 of file smartsParser.h.

## setLogicalOperator()

void BALL::SmartsParser::SPEdge::setLogicalOperator | ( | LogicalOperator | log_op | ) |

inline

sets the associated logical operator (for the child edges)

Definition at line 451 of file smartsParser.h.

## setNot()

void BALL::SmartsParser::SPEdge::setNot | ( | bool | is_not | ) |

inline

set the negation flag

Definition at line 436 of file smartsParser.h.

## setSecondSPEdge()

void BALL::SmartsParser::SPEdge::setSecondSPEdge | ( | SPEdge * | second | ) |

inline

set the second SPEdge (second tree child)

Definition at line 445 of file smartsParser.h.

## setSecondSPNode()

void BALL::SmartsParser::SPEdge::setSecondSPNode | ( | SPNode * | second | ) |

inline

sets the second SPNode of this edge

Definition at line 424 of file smartsParser.h.

## setSPBond()

void BALL::SmartsParser::SPEdge::setSPBond | ( | SPBond * | sp_bond | ) |

inline

sets the corresponding SPBond of this edge

Definition at line 412 of file smartsParser.h.

## Member Data Documentation

## bond_

SPBond* BALL::SmartsParser::SPEdge::bond_

protected

associated bond

Definition at line 472 of file smartsParser.h.

## first_

SPNode* BALL::SmartsParser::SPEdge::first_

protected

first SPNode

Definition at line 466 of file smartsParser.h.

## first_edge_

SPEdge* BALL::SmartsParser::SPEdge::first_edge_

protected

first SPEdge

Definition at line 475 of file smartsParser.h.

## internal_

bool BALL::SmartsParser::SPEdge::internal_

protected

internal flag

Definition at line 460 of file smartsParser.h.

## is_not_

bool BALL::SmartsParser::SPEdge::is_not_

protected

negation flag

Definition at line 463 of file smartsParser.h.

## log_op_

LogicalOperator BALL::SmartsParser::SPEdge::log_op_

protected

logical operator associated with the SPEdges

Definition at line 481 of file smartsParser.h.

## second_

SPNode* BALL::SmartsParser::SPEdge::second_

protected

second SPNode

Definition at line 469 of file smartsParser.h.

## second_edge_

SPEdge* BALL::SmartsParser::SPEdge::second_edge_

protected

second SPEdge

Definition at line 478 of file smartsParser.h.